Skip to main content
POST
/
v6
/
auth
/
oneTimeLink
Generate one-time link
curl --request POST \
  --url https://sandbox.tight.com/v6/auth/oneTimeLink \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "companyId": "cmp_28868401"
}
'
{
  "result": "SUCCESS",
  "data": {
    "link": "https://example.com/auth?token=abc123"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
companyId
string

Id of the company to generate a one-time link for

Example:

"cmp_28868401"

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.